List projects of the user OR the organisation (see scope)
curl --request GET \
--url https://api.mentionlab.io/api/v1/projectsimport requests
url = "https://api.mentionlab.io/api/v1/projects"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.mentionlab.io/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": {
"totalRecords": 123,
"limit": 123,
"currentPage": 123,
"totalPages": 123,
"nextPage": 123,
"prevPage": 123
},
"results": [
{
"id": "01234567-89ab-cdef-0123-456789abcdef",
"name": "My Project",
"organisation": "01234567-89ab-cdef-0123-456789abcdef",
"updatedAt": "2021-01-01T00:00:00.000Z",
"slug": "my-project",
"description": "My Project Description",
"industry": "Technology",
"website": "https://www.mentionlab.io",
"nameAliases": [
"My Project",
"My Project 2"
],
"blackListAliases": [
"My Project",
"My Project 2"
],
"currentPo": "PO-2026-Q2-1234",
"themeAnalysisEnabled": false,
"themeLanguage": "en",
"themeClusteringConfig": {
"mint": 0.74,
"fold": 0.82,
"consGrayLo": 0.74,
"autoMerge": 0.92,
"singletonAbsorbLo": 0.62,
"whitenGate": 0.2,
"superAssignFloor": 0.05,
"superMax": 15
},
"settings": {
"customFilters": [
{
"type": "tag-group",
"id": "01234567-89ab-cdef-0123-456789abcdef"
},
{
"type": "continent",
"id": "Europe"
}
]
}
}
]
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}{
"statusCode": 400,
"message": "Validation failed",
"error": "Bad Request"
}Projects
List projects of the user OR the organisation (see scope)
Returns a paginated list of projects the user or organisation can access, optionally filtered by name.
GET
/
api
/
v1
/
projects
List projects of the user OR the organisation (see scope)
Query Parameters
Scope of the projects to list. Can be "user" or "org".
Filter projects by name (substring match).
Required range:
x >= 1Required range:
1 <= x <= 250